aboutsummaryrefslogtreecommitdiff
path: root/bin/tm.sh
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2022-08-09 19:48:10 +1200
committerTom Ryder <tom@sanctum.geek.nz>2022-08-09 19:48:10 +1200
commit50f43cb8f7b25bcc87ad27ebfd302fc26038719a (patch)
treec80e77ab6c9cca94fefe72ac480597ab52de9c17 /bin/tm.sh
parentMerge branch 'release/v12.19.0' (diff)
parentBump VERSION (diff)
downloaddotfiles-12.20.0.tar.gz (sig)
dotfiles-12.20.0.zip
Merge branch 'release/v12.20.0'v12.20.0
* release/v12.20.0: Set default tm(1df) session name with file not env
Diffstat (limited to 'bin/tm.sh')
-rw-r--r--bin/tm.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/bin/tm.sh b/bin/tm.sh
index e097cfb2..6bdce20b 100644
--- a/bin/tm.sh
+++ b/bin/tm.sh
@@ -1,5 +1,10 @@
# Attach to existing tmux session rather than create a new one if possible
+# Source config if it exists (just the session name, really)
+if [ -e "${XDG_CONFIG_HOME:-"$HOME"/.config}"/tm/config ] ; then
+ . "${XDG_CONFIG_HOME:-"$HOME"/.config}"/tm/config || exit
+fi
+
# If given any arguments, just use them as they are
if [ "$#" -gt 0 ] ; then
:
@@ -10,7 +15,7 @@ elif tmux has-session 2>/dev/null ; then
# Create a new session with an appropriate name
else
- set -- new-session -s "${TMUX_SESSION:-default}"
+ set -- new-session -s "${default_session_name:-default}"
fi
# Execute with concluded arguments